package com.yc.ship.module.product.controller.admin.distributorDiscount.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商专属折扣分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorDiscountPageReqVO extends PageParam {

    @Schema(description = "折扣名称", example = "王五")
    private String discountName;

    @Schema(description = "分销商Id", example = "王五")
    private String distributorId;

    @Schema(description = "分销商名称", example = "王五")
    private String distributorName;

    @Schema(description = "适用区域", example = "22671")
    private String areaId;

    @Schema(description = "适用游轮", example = "14940")
    private Long shipId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}