package com.yc.ship.module.product.controller.admin.distributorDiscount.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 分销商专属折扣 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorDiscountRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "11469")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "折扣名称", example = "王五")
    @ExcelProperty("折扣名称")
    private String discountName;

    @Schema(description = "分销商ID", example = "15889")
    @ExcelProperty("分销商ID")
    private Long distributorId;

    @Schema(description = "分销商名称", example = "王五")
    @ExcelProperty("分销商名称")
    private String distributorName;

    @Schema(description = "开始时间")
    @ExcelProperty("开始时间")
    private LocalDateTime startTime;

    @Schema(description = "结束时间")
    @ExcelProperty("结束时间")
    private LocalDateTime endTime;

    @Schema(description = "折扣比例")
    @ExcelProperty(value = "折扣比例", converter = DictConvert.class)
    @DictFormat("regional_division") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Long discountNum;

    @Schema(description = "适用区域", example = "22671")
    @ExcelProperty("适用区域")
    private List<Long> areaId;

    @Schema(description = "试用游轮", example = "14940")
    @ExcelProperty("试用游轮")
    private Long shipId;


    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}