package com.yc.ship.module.product.controller.admin.distributorDiscount.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 分销商专属折扣新增/修改 Request VO")
@Data
public class DistributorDiscountSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22466")
    private Long id;

    @Schema(description = "折扣名称", example = "王五")
    private String discountName;

    @Schema(description = "分销商ID", example = "15889")
    private Long distributorId;

    @Schema(description = "分销商名称", example = "王五")
    private String distributorName;

    @Schema(description = "开始时间")
    private LocalDateTime startTime;

    @Schema(description = "结束时间")
    private LocalDateTime endTime;

    @Schema(description = "折扣比例")
    private Long discountNum;

    @Schema(description = "适用区域", example = "22671")
    private List<Long> areaId;

    @Schema(description = "试用游轮", example = "14940")
    private Long shipId;

    @Schema(description = "备注", example = "你猜")
    private String remark;

}