package com.yc.ship.module.product.dal.dataobject.distributorDiscount;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 分销商专属折扣 DO
 *
 * @author lsq
 */
@TableName("distributor_discount")
@KeySequence("distributor_discount_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorDiscountDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 折扣名称
     */
    private String discountName;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 分销商名称
     */
    private String distributorName;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * 折扣比例
     *
     * 枚举 {@link }
     */
    private Long discountNum;
    /**
     * 适用区域
     */
    private String areaId;
    /**
     * 试用游轮
     */
    private Long shipId;
    /**
     * 备注
     */
    private String remark;

}