package com.yc.ship.module.product.service.distributorDiscount;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.product.controller.admin.distributorDiscount.vo.DistributorDiscountPageReqVO;
import com.yc.ship.module.product.controller.admin.distributorDiscount.vo.DistributorDiscountSaveReqVO;
import com.yc.ship.module.product.dal.dataobject.distributorDiscount.DistributorDiscountDO;

import javax.validation.Valid;

/**
 * 分销商专属折扣 Service 接口
 *
 * @author lsq
 */
public interface DistributorDiscountService {

    /**
     * 创建分销商专属折扣
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributorDiscount(@Valid DistributorDiscountSaveReqVO createReqVO);

    /**
     * 更新分销商专属折扣
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorDiscount(@Valid DistributorDiscountSaveReqVO updateReqVO);

    /**
     * 删除分销商专属折扣
     *
     * @param id 编号
     */
    void deleteDistributorDiscount(Long id);

    /**
     * 获得分销商专属折扣
     *
     * @param id 编号
     * @return 分销商专属折扣
     */
    DistributorDiscountDO getDistributorDiscount(Long id);

    /**
     * 获得分销商专属折扣分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商专属折扣分页
     */
    PageResult<DistributorDiscountDO> getDistributorDiscountPage(DistributorDiscountPageReqVO pageReqVO);

}